KausateKausate Docs
Shareholder graph
Viewing API version 2025-04-01. View the latest version.

Shareholder graph: publish

Publish a completed shareholder graph at a public URL. Anyone with the URL can view the graph without authentication, so treat it as a secret.

POST
/v2/companies/shareholder-graph/{orderId}/publish
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

orderId*string

Completed shareholder-graph order ID to publish

Header Parameters

Kausate-Version?string
Default"2025-04-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.kausate.com/v2/companies/shareholder-graph/string/publish" \  -H "X-API-Key: $KAUSATE_API_KEY" \  -H "Kausate-Version: 2025-04-01"
{
  "slug": "string",
  "orderId": "string",
  "kausateId": "string",
  "publicUrl": "string",
  "jsonUrl": "string",
  "publishedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": "Invalid company ID format",
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "API key is required",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Company not found",
  "code": "company.not_found",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "kausateId"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "The data source is rate-limiting requests right now, please try again later",
  "code": "source.rate_limited",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "This capability is offered for the requested jurisdiction but is not usable right now because of a fault on our side. Please contact support@kausate.com",
  "code": "capability.not_available",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Network error while reaching the data source",
  "code": "source.network_error",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Data source temporarily unavailable",
  "code": "source.unavailable",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on